<?
include 'inclydings/gzips.php';
include 'mysql.php';
include_once("inclydings/zag.php");
include 'inclydings/ini.php';
include 'inclydings/sesi.php';
if (isset($user)) {
if($game=="save"){
$g=mysql_query("SELECT * FROM `table_news` WHERE `id`='$id' LIMIT 1");
if(mysql_num_rows($g)==0){
echo "Новость не существует";
include 'inclydings/down.php';
exit;
}
if($udata[9]<"10"){echo"Комментарий можно писать только с 10 уровня.";
echo "<li><a href=\"send.php?$sd\">В почту</a>";
include_once"inclydings/down.php";
exit;
}
if($msg==""){echo "Вы не ввели комментарий";
include 'inclydings/down.php';
exit;
}
$query = "INSERT INTO table_koments VALUES('$id','$log','$aid','$msg')";
$result = mysql_query($query);
echo "Коментарий добавлен<li><a href=\"kom.php?$sd&id=$id\">Назад</a>";
include 'inclydings/down.php';
exit;
}



if($game=="add"){
$g=mysql_query("SELECT * FROM `table_news` WHERE `id`='$id' LIMIT 1");
if(mysql_num_rows($g)==0){
echo "Новость не существует";
include 'inclydings/down.php';
exit;
}
if($udata[9]<"10"){echo"Комментарий можно писать только с 10 уровня.";
echo "<li><a href=\"send.php?$sd\">В почту</a>";
include_once"inclydings/down.php";
exit;
}
echo'<form method="post" action="kom.php?'.$sd.'&game=save&id='.$id.'">';
echo "<br/>Коментарий:<br/>";
echo "<input class=\"button\" name=\"msg\" maxlength=\"300\" title=\"Коментарий\" emptyok=\"true\"/><br/>";
echo '<input class="button" type="submit" value="Добавить"/></form>';
include 'inclydings/down.php';
exit;
}

$g=mysql_query("SELECT * FROM `table_news` WHERE `id`='$id' LIMIT 1");
if(mysql_num_rows($g)==0){
echo "Новость не существует<br/>";
include 'inclydings/down.php';
exit;
}
$q = mysql_query("SELECT COUNT(`id`) FROM `table_koments` WHERE `id`='$id'");
$kol = mysql_result($q, 0);
if($kol=="0"){
echo "Коментариев нет<br/>";
}else{
echo "Коментариев: $kol<br/>";
}
if(empty($startan)) $startan = 0;
$startan=intval($startan);
if($startan<0) $startan=0; $num_msgs_an=5;
$qi = mysql_query("SELECT * FROM `table_koments` WHERE `id`='$id' ORDER by `aid` DESC LIMIT $startan,$num_msgs_an");
while($row=mysql_fetch_array($qi))
{
echo "<a href=\"search.php?$sd&nick=$row[nick]&amp;go=go\">$row[nick]</a> - $row[msg]<br/>";
}
$q = mysql_query("SELECT COUNT(`id`) FROM `table_koments` WHERE `id`='$id'");
$kol = mysql_result($q, 0);
if($startan!= 0) $page2left = ' <a href= kom.php?'.$sd.'&startan='. ($startan - 5) .'&page='.($page-1).'&id='.$id.'>'. ($page - 1) .'</a> | ';

if(empty($page)){$page=1;}
if($kol > $startan + 5) $page2right = ' | <a href= kom.php?'.$sd.'&startan='. ($startan + 5) .'&page='. ($page+1) .'&id='.$id.'>'. ($page + 1) .'</a>';
echo $page2left.'<b>('.$page.')</b>'.$page1right.$page2right.'<br/>';
if ($startan != 0) {echo '<a href="kom.php?'.$sd.'&startan='.($startan - 5).'&page='.($page-1).'&id='.$id.'">Назад</a> ';}
if ($kol > $startan + 5) {echo ' <a href="kom.php?'.$sd.'&startan='.($startan + 5).'&page='.($page+1).'&id='.$id.'">Далее</a><br/>';}
echo "<li><a href=\"kom.php?$sd&game=add&id=$id\">Добавить коментарий</a>";
}else{echo"Пароль или логин неверны";}

include 'inclydings/down.php';
?>










